import { Trophy, Medal, Award, Star } from "lucide-react"
import React from "react"

export const achievements = [
  {
    year: "2025",
    title: "RoboMaster 高校联盟赛 辽宁站 3V3对抗赛",
    position: "三等奖",
    icon: React.createElement(Award, { className: "h-8 w-8 text-primary" }),
    description:
      "与 32 支来自辽宁周边城市的大学参赛队伍同台竞技，直接对阵的队伍有：哈尔滨工业大学 I Hiter 战队、北京邮电大学 鸿雁 战队、沈阳工业大学辽阳分校 赫兹矩阵战队。",
    link: "https://www.robomaster.com/zh-CN/resource/pages/announcement/1830",
  },
  {
    year: "2024",
    title: "RoboMaster 高校联盟赛 山东站 3V3对抗赛",
    position: "三等奖",
    icon: React.createElement(Award, { className: "h-8 w-8 text-primary" }),
    description:
      "与 32 支来自山东周边城市的大学参赛队伍同台竞技，直接对阵的队伍有：北方工业大学 DreamTeam 战队、哈尔滨工业大学威海 HERO 战队。",
    link: "https://www.robomaster.com/zh-CN/resource/pages/announcement/1802",
  },
  {
    year: "2023",
    title: "RoboMaster 高校联盟赛 黑龙江站 步兵对抗赛",
    position: "三等奖",
    icon: React.createElement(Star, { className: "h-8 w-8 text-primary" }),
    description: "与多支来自黑龙江周边城市的大学参赛队伍同台竞技。 ",
    link: "https://www.robomaster.com/zh-CN/resource/pages/announcement/1596",
  },
]
